Not Particularly Meaningful

    jscs-angular

    3.0.0 • Public • Published

    jscs-angular

    Version Build Status Dependency Status devDependency Status peerDependency Status

    AngularJS plugin for JSCS.

    Deprecation notice

    JSCS is to merge into eslint. Consider migrating to eslint and use its angular plugin instead.

    Plugin installation

    jscs-angular can be installed using npm:

    npm install jscs-angular
    

    Usage

    To use this plugin you should add it to your configuration file, e.g. .jscsrc:

    {
      "plugins": ["jscs-angular"]
    }

    If you are using a JSCS version below 1.8 please use the old way of including the rules:

    {
      "additionalRules": [
        "node_modules/jscs-angular/src/rules/*.js"
      ]
    }

    Configuration options

    After including the additional rules above, you can use these options:

    Browser support

    This functionality have not been tested at all, since I personally have no need for it.

    Thank you

    Gratipay Flattr

    Building good software and tools takes time. Please do support a future for this project if you are using it. Thank you!

    Install

    npm i jscs-angular

    DownloadsWeekly Downloads

    18

    Version

    3.0.0

    License

    none

    Last publish

    Collaborators

    • tregusti